<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>ConfigurationPropertiesFactoryBean (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="ConfigurationPropertiesFactoryBean (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationPropertiesFactoryBean.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertySource.html" title="class in org.apache.commons.configuration2.spring"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html" target="_top">Frames</a></li>
<li><a href="ConfigurationPropertiesFactoryBean.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.spring</div>
<h2 title="Class ConfigurationPropertiesFactoryBean" class="title">Class ConfigurationPropertiesFactoryBean</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.spring.ConfigurationPropertiesFactoryBean</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>org.springframework.beans.factory.FactoryBean&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&gt;, org.springframework.beans.factory.InitializingBean</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">ConfigurationPropertiesFactoryBean</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a>
implements org.springframework.beans.factory.InitializingBean, org.springframework.beans.factory.FactoryBean&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&gt;</pre>
<div class="block"><p>FactoryBean which wraps a Commons CompositeConfiguration object for usage
 with PropertiesLoaderSupport. This allows the compositeConfiguration object to behave
 like a normal java.util.Properties object which can be passed on to
 setProperties() method allowing PropertyOverrideConfigurer and
 PropertyPlaceholderConfigurer to take advantage of Commons Configuration.
 </p>
 <p>Internally a CompositeConfiguration object is used for merging multiple
 Configuration objects.</p></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util"><code>Properties</code></a>, 
<code>PropertiesLoaderSupport</code></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#ConfigurationPropertiesFactoryBean--">ConfigurationPropertiesFactoryBean</a></span>()</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#ConfigurationPropertiesFactoryBean-org.apache.commons.configuration2.Configuration-">ConfigurationPropertiesFactoryBean</a></span>(<a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;configuration)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#afterPropertiesSet--">afterPropertiesSet</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/CompositeConfiguration.html" title="class in org.apache.commons.configuration2">CompositeConfiguration</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#getConfiguration--">getConfiguration</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#getConfigurations--">getConfigurations</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.springframework.core.io.Resource[]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#getLocations--">getLocations</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#getObject--">getObject</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#getObjectType--">getObjectType</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#isSingleton--">isSingleton</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#isThrowExceptionOnMissing--">isThrowExceptionOnMissing</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#setConfigurations-org.apache.commons.configuration2.Configuration:A-">setConfigurations</a></span>(<a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>[]&nbsp;configurations)</code>
<div class="block">Set the commons configurations objects which will be used as properties.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#setLocations-org.springframework.core.io.Resource:A-">setLocations</a></span>(org.springframework.core.io.Resource[]&nbsp;locations)</code>
<div class="block">Shortcut for loading compositeConfiguration from Spring resources.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html#setThrowExceptionOnMissing-boolean-">setThrowExceptionOnMissing</a></span>(boolean&nbsp;throwExceptionOnMissing)</code>
<div class="block">Set the underlying Commons CompositeConfiguration throwExceptionOnMissing flag.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="ConfigurationPropertiesFactoryBean--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ConfigurationPropertiesFactoryBean</h4>
<pre>public&nbsp;ConfigurationPropertiesFactoryBean()</pre>
</li>
</ul>
<a name="ConfigurationPropertiesFactoryBean-org.apache.commons.configuration2.Configuration-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>ConfigurationPropertiesFactoryBean</h4>
<pre>public&nbsp;ConfigurationPropertiesFactoryBean(<a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>&nbsp;configuration)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getObject--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObject</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&nbsp;getObject()
                     throws <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getObject</code>&nbsp;in interface&nbsp;<code>org.springframework.beans.factory.FactoryBean&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&gt;</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>FactoryBean.getObject()</code></dd>
</dl>
</li>
</ul>
<a name="getObjectType--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getObjectType</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Class.html?is-external=true" title="class or interface in java.lang">Class</a>&nbsp;getObjectType()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>getObjectType</code>&nbsp;in interface&nbsp;<code>org.springframework.beans.factory.FactoryBean&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&gt;</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>FactoryBean.getObjectType()</code></dd>
</dl>
</li>
</ul>
<a name="isSingleton--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isSingleton</h4>
<pre>public&nbsp;boolean&nbsp;isSingleton()</pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>isSingleton</code>&nbsp;in interface&nbsp;<code>org.springframework.beans.factory.FactoryBean&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Properties.html?is-external=true" title="class or interface in java.util">Properties</a>&gt;</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>FactoryBean.isSingleton()</code></dd>
</dl>
</li>
</ul>
<a name="afterPropertiesSet--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>afterPropertiesSet</h4>
<pre>public&nbsp;void&nbsp;afterPropertiesSet()
                        throws <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></pre>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code>afterPropertiesSet</code>&nbsp;in interface&nbsp;<code>org.springframework.beans.factory.InitializingBean</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Exception.html?is-external=true" title="class or interface in java.lang">Exception</a></code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><code>InitializingBean.afterPropertiesSet()</code></dd>
</dl>
</li>
</ul>
<a name="getConfigurations--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getConfigurations</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>[]&nbsp;getConfigurations()</pre>
</li>
</ul>
<a name="setConfigurations-org.apache.commons.configuration2.Configuration:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setConfigurations</h4>
<pre>public&nbsp;void&nbsp;setConfigurations(<a href="../../../../../org/apache/commons/configuration2/Configuration.html" title="interface in org.apache.commons.configuration2">Configuration</a>[]&nbsp;configurations)</pre>
<div class="block">Set the commons configurations objects which will be used as properties.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>configurations</code> - commons configurations objects which will be used as properties.</dd>
</dl>
</li>
</ul>
<a name="getLocations--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocations</h4>
<pre>public&nbsp;org.springframework.core.io.Resource[]&nbsp;getLocations()</pre>
</li>
</ul>
<a name="setLocations-org.springframework.core.io.Resource:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocations</h4>
<pre>public&nbsp;void&nbsp;setLocations(org.springframework.core.io.Resource[]&nbsp;locations)</pre>
<div class="block">Shortcut for loading compositeConfiguration from Spring resources. It will
 internally create a PropertiesConfiguration object based on the URL
 retrieved from the given Resources.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locations</code> - resources of configuration files</dd>
</dl>
</li>
</ul>
<a name="isThrowExceptionOnMissing--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isThrowExceptionOnMissing</h4>
<pre>public&nbsp;boolean&nbsp;isThrowExceptionOnMissing()</pre>
</li>
</ul>
<a name="setThrowExceptionOnMissing-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setThrowExceptionOnMissing</h4>
<pre>public&nbsp;void&nbsp;setThrowExceptionOnMissing(boolean&nbsp;throwExceptionOnMissing)</pre>
<div class="block">Set the underlying Commons CompositeConfiguration throwExceptionOnMissing flag.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>throwExceptionOnMissing</code> - The new value for the property</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/AbstractConfiguration.html#setThrowExceptionOnMissing-boolean-"><code>AbstractConfiguration.setThrowExceptionOnMissing(boolean)</code></a></dd>
</dl>
</li>
</ul>
<a name="getConfiguration--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getConfiguration</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/CompositeConfiguration.html" title="class in org.apache.commons.configuration2">CompositeConfiguration</a>&nbsp;getConfiguration()</pre>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/ConfigurationPropertiesFactoryBean.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev&nbsp;Class</li>
<li><a href="../../../../../org/apache/commons/configuration2/spring/ConfigurationPropertySource.html" title="class in org.apache.commons.configuration2.spring"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/spring/ConfigurationPropertiesFactoryBean.html" target="_top">Frames</a></li>
<li><a href="ConfigurationPropertiesFactoryBean.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
